Package org.opensaml.xmlsec.criterion

# Class DecryptionRecipientsCriterion

java.lang.Object
org.opensaml.xmlsec.criterion.DecryptionRecipientsCriterion

All Implemented Interfaces:
  `Criterion`

public class DecryptionRecipientsCriterion extends Object implements Criterion
A criterion implementation for conveying set of recipients against which to evaluate candidate EncryptedKey elements.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Set<String>`
`recipients`
The set of recipients.

## Constructor Summary

Constructors
Constructor
Description
`DecryptionRecipientsCriterion(Set<String> values)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Set<String>`
`getRecipients()`
Get the set of recipients.
`int`
`hashCode()`
`private Set<String>`
`processValues(Set<String> values)`
Sanitize input values.
`void`
`setRecipients(Set<String> values)`
Set the set of recipients.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### recipients

@Nonnull private Set<String> recipients
The set of recipients.

## Constructor Details

### DecryptionRecipientsCriterion

public DecryptionRecipientsCriterion(@Nullable Set<String> values)
Constructor.

Parameters:
  `values` - the set of recipients

## Method Details

### getRecipients

@Nonnull @NotLive @Unmodifiable public Set<String> getRecipients()
Get the set of recipients.

Returns:
  the set of recipients

### setRecipients

public void setRecipients(@Nullable Set<String> values)
Set the set of recipients.

Parameters:
  `values` - the new recipients

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### processValues

@Nonnull @NotLive @Unmodifiable private Set<String> processValues(@Nullable Set<String> values)
Sanitize input values.

Parameters:
  `values` - input values
Returns:
  sanitized set